Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_model_add_statement

## Name

librdf_model_add_statement -- Add a statement to the model

## Synopsis

``int `librdf_model_add_statement`` (librdf_model* `model`, librdf_statement* `statement`);`

## Arguments

`model`

  model object

`statement`

  statement object

## Description

The passed-in statement is copied when added to the model, not shared with the model. It must be a complete statement - all of subject, predicate, object parts must be present.

## Return value

non 0 on failure

<<< Previous | Home | Next >>>
librdf_model_size | Up | librdf_model_add_statements